#include "stdafx.h"
//#include "MyArray.h"
//#include "Additional_functions.h"

/*template <typename T, int vSize>
void * sMyArray<T,vSize>::operator new(size_t vSize_2)
{
	//sMyArray* pMyArray = new sMyArray<T,vSize_2>(vMyArray);
	//return pMyArray;
	return ::operator new(vSize_2);
}

template <typename T, int vSize>
void sMyArray<T,vSize>::operator delete(void* pMyArray)
{
	::operator delete(pMyArray);
}*/

/*template <class T>
sMyArray<T>::sMyArray(int vSize): vLen(vSize)
{
    //array = new T[vLen];
    //memset(array, 0, size * sizeof(T));
}*/

//template <class T>
//sMyArray<T>::sMyArray(const sMyArray& a)
//{
    /*size = a.size;
    array = new T[size];
    memcpy_s(array, a.array, sizeof(T));*/
//}

/*template <class T>
T& sMyArray<T>::operator[](int i)
{
    return 0;// *(array + i);
}*/

/*template <class T>
int sMyArray<T>::Length()
{
    return vLen;
}*/

/*template <class T>
bool sMyArray<T>::fSet(int vIndex, T vSet)
{
	if (vIndex < 0 || vIndex >= vLen) return FALSE;
	if (vData[vIndex] != NULL)
	{
		delete vData[vIndex];
	}
	vData[vIndex] = new T;
	if(typeid(T).hash_code() == typeid(string).hash_code())
	{
		vStr = (string)vSet;
		*vData[vIndex] = (T)fCpyStr(vStr);
	}
	else
	{
		*vData[vIndex] = vSet;
	}
	return TRUE;
}*/

/*template <class T>
T sMyArray<T>::fGet(int vIndex)
{
	if (vIndex < 0 || vIndex >= vLen) return NULL;
	if (vData[vIndex] == NULL) return NULL;
	return *vData[vIndex];
}*/

/*template <class T>
void sMyArray<T>::fNewMyArray(int vLen_2)
{
	if (vLen_2 < 1 || vLen_2 > vMAX_SIZE_MASS) return;
	vLen = vLen_2;
	vData = new T*[vLen];
	for (vvi = 0; vvi < vLen; vvi++)
	{
		vData[vvi] = NULL;
	}
}*/

/*template <class T>
sMyArray<T>::~sMyArray()
{
	for (vvi = 0; vvi < vLen; vvi++)
	{
		if (vData[vvi] != NULL) delete vData[vvi];
	}
	delete vData;
	vData = NULL;
}*/